This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 493073 - Trac: please upgrade to 0.11.4 - fixes a regression
Trac: please upgrade to 0.11.4 - fixes a regression
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trac (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 10:52 EDT by Jose Pedro Oliveira
Modified: 2013-01-10 00:07 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.11.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-08 15:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2009-03-31 10:52:45 EDT
Description of problem:
Trac 0.11.4 fixes a regression with the mainnav links.

Version-Release number of selected component (if applicable):
rawhide: trac-0.11.3-3.fc11


Additional info:

 * Release Notes
   http://trac.edgewall.org/browser/tags/trac-0.11.4/RELEASE 

 * Major changes in 0.11.4

    * Custom mainnav links regression
    * Fixed Python 2.3 incompatibility
    * Fixed Python 2.6 notification issue
    * Fixed PostgreSQL multi column index issue  

 * Milestone 0.11.4
   http://trac.edgewall.org/milestone/0.11.4

 * Closed tickets (12)
   http://trac.edgewall.org/query?status=closed&group=resolution&milestone=0.11.4
Comment 1 Bug Zapper 2009-06-09 08:51:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Juha Tuomala 2009-07-03 07:10:43 EDT
We're planning to move the opensync.org and talking about choice of platform as there are multiple people with different distro experience.

I'd prefer the platform that can utilize epel packages, but trac version became an issue. We have already migrated in current environment to 0.11 and moving backwards is not an option as those added features are needed.

So, opinions about upgrading the epel* versions to 0.11? Just work or is there any blockers?
Comment 3 Jesse Keating 2009-07-08 17:56:10 EDT
The problem with upgrading to 0.11 is that it is a db format change that will require admin interaction (cannot be scripted) or else existing project spaces will stop working.  This is not something usually done within a stable release (EL5).  There was some effort put into making a parallel installable package of trac0.11 but that was going to be loads of pain with all the plugins we use.  I have considered packaging 0.11 up for EL5 to put in the infrastructure repo and use that version but I think we ran into some python version compatibility issues.  I'll look into it again shortly.
Comment 4 Jose Pedro Oliveira 2009-07-08 19:28:00 EDT
(In reply to comment #3)
> The problem with upgrading to 0.11 is that it is a db format change that will
> require admin interaction (cannot be scripted) or else existing project spaces
> will stop working.  This is not something usually done within a stable release
> (EL5).  There was some effort put into making a parallel installable package of
> trac0.11 but that was going to be loads of pain with all the plugins we use.  I
> have considered packaging 0.11 up for EL5 to put in the infrastructure repo and
> use that version but I think we ran into some python version compatibility
> issues.  I'll look into it again shortly.  

Jesse,

I have been using trac-0.11.x in CentOS 5.x for almost a year quite happily (with python 2.4.x).

The only problem I faced was with the sqlite support: a trac plugin forced me
to bump the requirement to python-sqlite2 as the python-sqlite interface was non DB-API 2.0 compliant.

/jpo

PS - trac 0.11.5 RC 1 is already available
     http://trac.edgewall.org/wiki/TracDownload#LatestReleaseCandidate
     http://trac.edgewall.org/milestone/0.11.5
Comment 5 Juha Tuomala 2009-07-09 10:04:29 EDT
Jpo, are you suggesting that it could be upgraded to EL5?
Comment 6 Jesse Keating 2009-07-16 18:52:10 EDT
The problem with Trac-0.11 in EL5 is also that plugins will not work.  Some of the plugins we use, particularly the trac-git-plugin, require python 2.5+ for the 0.11 version of the plugins.  Thus we'd be left without those plugins if we put Trac-0.11 in EL5, as EL5 has python-2.4.

So no, we won't be updating Trac to 0.11 in EL5, nor in Fedora Hosted.  Once EL6 is released we will migrate Fedora Hosted to it and trac 0.11 (or 12 if it's out by then)
Comment 7 Fedora Update System 2009-07-16 19:05:14 EDT
trac-0.11.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/trac-0.11.4-1.fc11
Comment 8 Fedora Update System 2009-07-22 18:00:33 EDT
trac-0.11.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trac'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7883
Comment 9 Fedora Update System 2009-08-08 15:21:27 EDT
trac-0.11.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.